> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available waterfalls

> Retrieves a list of all waterfalls available on Databar.



## OpenAPI

````yaml GET /v1/waterfalls/
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/waterfalls/:
    get:
      tags:
        - Waterfall
      summary: Get available waterfalls
      description: Retrieves a list of all waterfalls available on Databar.
      operationId: Waterfalls_v1_waterfalls__get
      parameters:
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Waterfalls
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Waterfall'
                title: Response Waterfalls V1 Waterfalls  Get
              example:
                - identifier: email_getter
                  name: Email finder waterfall
                  description: Get email from first name, last name and company
                  input_params:
                    - name: first_name
                      type: text
                      required: true
                    - name: last_name
                      type: text
                      required: true
                    - name: company
                      type: text
                      required: true
                  output_fields:
                    - name: email
                      label: Email
                      type: text
                  available_enrichments:
                    - id: 833
                      name: General Enrichment
                      description: General data enrichment service
                      price: '0.01'
                      params:
                        - first_name
                        - last_name
                        - company
                    - id: 966
                      name: Email Finder
                      description: Specialized email finding service
                      price: '0.02'
                      params:
                        - first_name
                        - last_name
                        - company
                  is_email_verifying: true
                  email_verifiers:
                    - id: 10
                      name: Verify emails (Emailable)
                      description: Verify if emails are valid.
                      price: '0.01'
                - identifier: person_getter
                  name: Person finder waterfall
                  description: Get person information from email
                  input_params:
                    - name: email
                      type: text
                      required: true
                  output_fields:
                    - name: first_name
                      label: First name
                      type: text
                    - name: last_name
                      label: Last name
                      type: text
                    - name: linkedin_url
                      label: Linkedin URL
                      type: text
                  available_enrichments:
                    - id: 833
                      name: General Enrichment
                      description: General data enrichment service
                      price: '0.01'
                      params:
                        - email
                  is_email_verifying: false
                  email_verifiers: []
        '403':
          description: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Waterfall:
      properties:
        identifier:
          type: string
          title: Identifier
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        input_params:
          items:
            type: object
          type: array
          title: Input Params
        output_fields:
          items:
            type: object
          type: array
          title: Output Fields
        available_enrichments:
          items:
            type: object
          type: array
          title: Available Enrichments
        is_email_verifying:
          type: boolean
          title: Is Email Verifying
        email_verifiers:
          items:
            type: object
          type: array
          title: Email Verifiers
      type: object
      required:
        - identifier
        - name
        - description
        - input_params
        - output_fields
        - available_enrichments
        - is_email_verifying
        - email_verifiers
      title: Waterfall
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````